# -*- coding: utf-8 -*-
################################################################################
#
#  Rattail -- Retail Software Framework
#  Copyright © 2010-2016 Lance Edgar
#
#  This file is part of Rattail.
#
#  Rattail is free software: you can redistribute it and/or modify it under the
#  terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option)
#  any later version.
#
#  Rattail is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
#  more details.
#
#  You should have received a copy of the GNU Affero General Public License
#  along with Rattail.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
SMS model importers
"""

from __future__ import unicode_literals, absolute_import

from locsms.db import model as locsms

from rattail.db.newimporting import Importer


class AccountLinkImporter(Importer):
    """
    Account link (CLL_TAB) data importer.
    """
    model_class = locsms.AccountLink
    key = ('F1577', 'F1578')


class CustomerImporter(Importer):
    """
    Customer (CLT_TAB) data importer.
    """
    model_class = locsms.Customer
    key = 'F1148'
