# -*- coding: utf-8 -*-

from __future__ import unicode_literals

import datetime
from unittest import TestCase

from mock import Mock, patch
from fixture import TempIO

from rattail_locsms import sil


class TestWriteReceivingImport(TestCase):

    def test_order_date_defaults_to_today(self):
        tmp = TempIO()
        path = tmp.putfile('recimport.sil', '')
        order = Mock(vendor_id='3788', details=[])
        with patch('rattail_locsms.sil.datetime') as mock_datetime:
            mock_datetime.datetime.today.return_value = datetime.datetime(2014, 7, 26)
            sil.write_receiving_import(path, order)
        today = datetime.datetime.today().strftime('%m/%d/%Y')
        with open(path, 'rt') as f:
            expected = "SRC=SELECT BAT.F27,'07/26/2014' AS F76".encode('latin_1')
            self.assertTrue(expected in f.read())
